
/* Required for modal form stuff so the header and footer dimentson take in the borders */









*{
font-family:consolas;
                        font-size:12px;

   -webkit-box-sizing:border-box;
   -moz-box-sizing:border-box;
   -mz-box-sizing:border-box;
   box-sizing:border-box;
   padding:0px;
   /* This looses the scrollbar */
   margin:0px;
}
fd_hidden{
   display:none;
}
.fd_form_body{
   overflow-y:auto;
   background:white;
}
.fd_form_description{
   display:flex;
   justify-content:center;
   text-align:center;
   /* this causes a horizontal scrollbar if set to 0!!! */
   border-bottom:1px solid orange;
   /* background:#E8F6FE; */
   background:white;
   padding:10px;
   margin-bottom:10px;
}
.fd_form_scrollingarea{
   border-radius:10px;
   overflow-y:auto;
   /* Used to controll width... */
   max-width:66%;
   max-height:80%;
   /*This is a rough size...so at least we can see the  buttons at bottom if window reduced in size*/
   min-height:100px;
   background:white;
   border:double 4px turquoise;
   box-shadow: 1px 1px 3px 2px #d3d3d3;
}
.fd_forminput{
   display:flex;
   padding:5px;
   border-radius:5px;
   font-size:1em;
   font-weight:900;  
   margin-right:5px;
}
.fd_form_label{

   display:flex;
   justify-content: center;
   flex-direction: column;
   text-align: right;
   padding:5px; 
   border-radius:5px; 
   color:black;
   font-size:1em;
   margin-right:3px;
   
   font-weight:900;
   /* background:#E8F6F0; */
   background:white;

}
/* <ul> encloses all the elements in the body of the from (fd_form_body) */
.fd_form_ul{
   margin-bottom:10px;
   /* orange  */
   border-top:1px solid orange;
   padding-top:0px;
   padding-bottom:0px;
}


.fd_form_label_subheading{

   /* for centering only */
   display:flex;
   justify-content:left;
   text-align:center;
   border-bottom:solid 1px orange;
   border-left:solid 1px orange;
   border-radius:1px;
   background:#E8F6FE;
   /*background:white;*/
   padding-top:3px;
   padding-left:5px;
   padding-bottom:2px;
   margin:10px;
   font-size:1.25em;




}

.fd_form_footer{
   /* Just for alignment purposes */
   display:flex;
   justify-content:flex-end;
   text-align:center;
   border-top:1px solid orange;
   /*background:#E8F6FE;*/
   background:white;

   /* This padding sits the buttons off the top and bottom by 10px. There is no padding on the right because the buttons right margin takes care of that */
   padding:10px; 
   padding-right:0px; 
   color:red;
   position:sticky;
   bottom:0;
   font-size:1.5em;
}
.fd_form_title{
   color:black;
   position:sticky;
   top:0;
   /* Here for centering purposes only */
   display:flex;
   justify-content: center;
   text-align:center;
   /*  */

   font-weight:700; 
   padding:10px;
   /* background:#E8F6FE; */
   background:white;
   
   font-size:1.75em;


}













